Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::PolygonOffset Class Reference

PolygonOffset - encapsulates the OpenGL glPolygonOffset state. More...

Inheritance diagram for osg::PolygonOffset:

[legend]
List of all members.

## Public Member Functions
| PolygonOffset ()
| PolygonOffset (float factor, float units)
| PolygonOffset (const PolygonOffset &po, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, PolygonOffset, POLYGONOFFSET)
virtual int | compare (const StateAttribute &sa) const
| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
virtual bool | getModeUsage (ModeUsage &usage) const
| Return the modes associated with this StateAttribute.
void | setFactor (float factor)
float | getFactor () const
void | setUnits (float units)
float | getUnits () const
virtual void | apply (State &state) const
| apply the OpenGL state attributes.
## Protected Member Functions
virtual | ~PolygonOffset ()
## Protected Attributes
float | _factor
float | _units

## Detailed Description

PolygonOffset - encapsulates the OpenGL glPolygonOffset state.

## Constructor & Destructor Documentation

osg::PolygonOffset::PolygonOffset | ( |  | ) |

osg::PolygonOffset::PolygonOffset | ( | float | factor,
|  | float | units
| ) |

osg::PolygonOffset::PolygonOffset | ( | const PolygonOffset & | po,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::PolygonOffset::~PolygonOffset | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osg::PolygonOffset::apply | ( | State & | state | ) | const`[virtual]`

| apply the OpenGL state attributes. The global state for the current OpenGL context is passed in to allow the StateAttribute to obtain details on the the current context and state. Implements osg::StateAttribute.

virtual int osg::PolygonOffset::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

float osg::PolygonOffset::getFactor | ( |  | ) | const`[inline]`

virtual bool osg::PolygonOffset::getModeUsage | ( | ModeUsage & | usage | ) | const`[inline, virtual]`

| Return the modes associated with this StateAttribute. Reimplemented from osg::StateAttribute.

float osg::PolygonOffset::getUnits | ( |  | ) | const`[inline]`

osg::PolygonOffset::META_StateAttribute | ( | osg | ,
|  | PolygonOffset | ,
|  | POLYGONOFFSET |
| ) |

void osg::PolygonOffset::setFactor | ( | float | factor | ) | `[inline]`

void osg::PolygonOffset::setUnits | ( | float | units | ) | `[inline]`

## Member Data Documentation

float osg::PolygonOffset::_factor`[protected]`

float osg::PolygonOffset::_units`[protected]`

The documentation for this class was generated from the following file:

- PolygonOffset